Help: compiling mod_jk2 from source

Irgendwelche Probleme mit XAMPP für Solaris? Dann ist hier genau der richtige Ort um nachzufragen.

Help: compiling mod_jk2 from source

Postby bakry » 02. April 2007 11:13

Hi everyone,

I am trying to setup apache (bundled with Xampp) to work with tomcat through the jk connector. My server is Solaris SPARC 10. I couldn't find the binary distribution of mod_jk2 for Solaris 10 on the net (any one have it ????),

Iam trying to compile it from source but Iam getting this problem when trying to execute the following:

- unzip the source
- go to jk/native2 dir
- run ./
- run ./configure --with-apxs2=APACHE_HOME/bin/apxs

I got the following (these are only the last 3 lines)

need to check for Perl first, apxs depends on it...
checking for perl... /usr/bin/perl
could not find /space/home/akhidir/xampp/bin/apxs
configure: error: You must specify a valid --with-apxs2 path

I have tried the last command with multiple ways, for example when I gave it wrong path such as the following, I got a different error
- run ./configure --with-apxs2=APACHE_HOME/bin/apxs3

no apxs given
need to check for Perl first, apxs depends on it...
checking for perl... /usr/bin/perl
configure: error: Invalid location for apxs: '/space/home/akhidir/xampp/bin/apx3'

I have searched the net but no clue in such problem, any ideas why I am getting this error cause I have tried everything... If anyone happened to have a binary distribution for Solaris 10 please pass it to me.

my xampp ([2006-01-15] XAMPP for Solaris 0.8.1 BETA) version includes:

Apache 2.2.0
Perl 5.8.3

Thanks & Regards
Posts: 1
Joined: 01. April 2007 19:01

configure: error: You must specify a valid --with-apxs path

Postby PhilipIsPDR » 06. March 2008 13:26


I experienced a similar problem trying to configure tomcat to work with apache. I saw the error above when running:

./configure --with-apxs=<PATH-to-APACHE>/bin/apxs

The problem was that the apache had originally been installed to /usr/local/apache_2.0.61_new_install and later been moved to /usr/local/apache_2.0.61

apxs is not very clever about working out why apxs isn't working, it tries to run it, throws the output away to /dev/null and if it doesn't work, it claims it can't find it.

In my case, the problem was that apache had been moved since it was installed, but there could be any number of errors causing the problem. I can think of 20 and I'm sure you can too, for example permission problems, bad path to perl, not set executable, libraries missing, etc. Run <PATH-to-APXS>/apxs -q PREFIX manually, and inspect the error message to find out yourself.

Presuming that you see the same error I did (which will report that it can't find a path to the original install location):

The /usr/local/apache_2.0.61/bin and /conf directories had been amended to pick up the new directory (otherwise apache would not have started) - but /build and /include also needed to be edited so that all the files pointed to the current install directory.

apxs -q PREFIX then returned the correct /usr/local/apache_2.0.61 directory and I was able to run the configure script.

Of course, it fell over with a missing dependency, but that's a different story.
Posts: 1
Joined: 06. March 2008 13:04

Re: Help: compiling mod_jk2 from source

Postby riya » 01. August 2013 10:40

I created a new Zone and documented each step including customizations that I normally make for my servers... Started up the first time and has SVM support.
Posts: 1
Joined: 01. August 2013 10:35
XAMPP Version: 1.7.5
Operating System: Linux

Return to XAMPP für Solaris

Who is online

Users browsing this forum: No registered users and 0 guests